PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Fields
vg_lite_context_t Struct Reference

## Data Fields
vg_lite_kernel_context_t | context
vg_lite_hardware_t | hw
vg_lite_capabilities_t | capabilities
uint8_t * | command_buffer [CMDBUF_COUNT]
uint32_t | command_buffer_size
uint32_t | command_offset [CMDBUF_COUNT]
uint32_t | command_buffer_current
vg_lite_memory_pool_t | command_buffer_pool
vg_lite_tess_buffer_t | tessbuf
vg_lite_memory_pool_t | tess_buffer_pool
vg_lite_buffer_t * | rtbuffer
vg_lite_memory_pool_t | render_buffer_pool
vg_lite_float_t | path_lastX
vg_lite_float_t | path_lastY
uint32_t | scissor_set
uint32_t | scissor_enable
uint32_t | scissor_dirty
int32_t | scissor [4]
vg_lite_buffer_t * | scissor_layer
uint32_t | src_alpha_mode
uint32_t | src_alpha_value
uint32_t | dst_alpha_mode
uint32_t | dst_alpha_value
vg_lite_blend_t | blend_mode
uint32_t | sbi_mode
uint32_t | sync_mode
uint32_t | flexa_mode
uint32_t | stream_id
uint32_t | segment_address
uint32_t | segment_count
uint32_t | segment_size
uint32_t | stop_flag
uint8_t | flexa_dirty
uint32_t | start_flag
uint32_t | reset_flag
uint8_t | custom_cmdbuf
uint8_t | custom_tessbuf
uint32_t | enable_mask
uint32_t | matrix_enable
uint32_t | tess_width
uint32_t | tess_height
uint32_t | target_width
uint32_t | target_height
uint8_t | enable_scissor
uint32_t | mirror_orient
uint32_t | mirror_dirty
uint32_t | gamma_value
uint32_t | gamma_dirty
uint32_t | gamma_src
uint32_t | gamma_dst
uint32_t | gamma_stencil
uint32_t | color_transform
uint32_t | path_counter
vg_lite_filter_t | filter
void * | last_command_buffer_logical
size_t | Physical
uint32_t | last_command_size
vg_lite_frame_flag_t | frame_flag
uint32_t | backup_fb_command_flag
uint8_t * | fb_command_buffer
uint32_t | fb_command_buffer_physical
uint32_t | fb_command_buffer_size
uint32_t | fb_command_offset
uint32_t | fb_finish_flag

## Field Documentation

## ◆ context

vg_lite_kernel_context_t vg_lite_context_t::context

## ◆ hw

vg_lite_hardware_t vg_lite_context_t::hw

## ◆ capabilities

vg_lite_capabilities_t vg_lite_context_t::capabilities

## ◆ command_buffer

uint8_t* vg_lite_context_t::command_buffer[CMDBUF_COUNT]

## ◆ command_buffer_size

uint32_t vg_lite_context_t::command_buffer_size

## ◆ command_offset

uint32_t vg_lite_context_t::command_offset[CMDBUF_COUNT]

## ◆ command_buffer_current

uint32_t vg_lite_context_t::command_buffer_current

## ◆ command_buffer_pool

vg_lite_memory_pool_t vg_lite_context_t::command_buffer_pool

## ◆ tessbuf

vg_lite_tess_buffer_t vg_lite_context_t::tessbuf

## ◆ tess_buffer_pool

vg_lite_memory_pool_t vg_lite_context_t::tess_buffer_pool

## ◆ rtbuffer

vg_lite_buffer_t* vg_lite_context_t::rtbuffer

## ◆ render_buffer_pool

vg_lite_memory_pool_t vg_lite_context_t::render_buffer_pool

## ◆ path_lastX

vg_lite_float_t vg_lite_context_t::path_lastX

## ◆ path_lastY

vg_lite_float_t vg_lite_context_t::path_lastY

## ◆ scissor_set

uint32_t vg_lite_context_t::scissor_set

## ◆ scissor_enable

uint32_t vg_lite_context_t::scissor_enable

## ◆ scissor_dirty

uint32_t vg_lite_context_t::scissor_dirty

## ◆ scissor

int32_t vg_lite_context_t::scissor[4]

## ◆ scissor_layer

vg_lite_buffer_t* vg_lite_context_t::scissor_layer

## ◆ src_alpha_mode

uint32_t vg_lite_context_t::src_alpha_mode

## ◆ src_alpha_value

uint32_t vg_lite_context_t::src_alpha_value

## ◆ dst_alpha_mode

uint32_t vg_lite_context_t::dst_alpha_mode

## ◆ dst_alpha_value

uint32_t vg_lite_context_t::dst_alpha_value

## ◆ blend_mode

vg_lite_blend_t vg_lite_context_t::blend_mode

## ◆ sbi_mode

uint32_t vg_lite_context_t::sbi_mode

## ◆ sync_mode

uint32_t vg_lite_context_t::sync_mode

## ◆ flexa_mode

uint32_t vg_lite_context_t::flexa_mode

## ◆ stream_id

uint32_t vg_lite_context_t::stream_id

## ◆ segment_address

uint32_t vg_lite_context_t::segment_address

## ◆ segment_count

uint32_t vg_lite_context_t::segment_count

## ◆ segment_size

uint32_t vg_lite_context_t::segment_size

## ◆ stop_flag

uint32_t vg_lite_context_t::stop_flag

## ◆ flexa_dirty

uint8_t vg_lite_context_t::flexa_dirty

## ◆ start_flag

uint32_t vg_lite_context_t::start_flag

## ◆ reset_flag

uint32_t vg_lite_context_t::reset_flag

## ◆ custom_cmdbuf

uint8_t vg_lite_context_t::custom_cmdbuf

## ◆ custom_tessbuf

uint8_t vg_lite_context_t::custom_tessbuf

## ◆ enable_mask

uint32_t vg_lite_context_t::enable_mask

## ◆ matrix_enable

uint32_t vg_lite_context_t::matrix_enable

## ◆ tess_width

uint32_t vg_lite_context_t::tess_width

## ◆ tess_height

uint32_t vg_lite_context_t::tess_height

## ◆ target_width

uint32_t vg_lite_context_t::target_width

## ◆ target_height

uint32_t vg_lite_context_t::target_height

## ◆ enable_scissor

uint8_t vg_lite_context_t::enable_scissor

## ◆ mirror_orient

uint32_t vg_lite_context_t::mirror_orient

## ◆ mirror_dirty

uint32_t vg_lite_context_t::mirror_dirty

## ◆ gamma_value

uint32_t vg_lite_context_t::gamma_value

## ◆ gamma_dirty

uint32_t vg_lite_context_t::gamma_dirty

## ◆ gamma_src

uint32_t vg_lite_context_t::gamma_src

## ◆ gamma_dst

uint32_t vg_lite_context_t::gamma_dst

## ◆ gamma_stencil

uint32_t vg_lite_context_t::gamma_stencil

## ◆ color_transform

uint32_t vg_lite_context_t::color_transform

## ◆ path_counter

uint32_t vg_lite_context_t::path_counter

## ◆ filter

vg_lite_filter_t vg_lite_context_t::filter

## ◆ last_command_buffer_logical

void* vg_lite_context_t::last_command_buffer_logical

## ◆ Physical

size_t vg_lite_context_t::Physical

## ◆ last_command_size

uint32_t vg_lite_context_t::last_command_size

## ◆ frame_flag

vg_lite_frame_flag_t vg_lite_context_t::frame_flag

## ◆ backup_fb_command_flag

uint32_t vg_lite_context_t::backup_fb_command_flag

## ◆ fb_command_buffer

uint8_t* vg_lite_context_t::fb_command_buffer

## ◆ fb_command_buffer_physical

uint32_t vg_lite_context_t::fb_command_buffer_physical

## ◆ fb_command_buffer_size

uint32_t vg_lite_context_t::fb_command_buffer_size

## ◆ fb_command_offset

uint32_t vg_lite_context_t::fb_command_offset

## ◆ fb_finish_flag

uint32_t vg_lite_context_t::fb_finish_flag